Shiro
  1. Shiro
  2. SHIRO-318

Guice integration causes a warning from guice-servlet

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.2.0
    • Fix Version/s: 1.2.0
    • Component/s: None
    • Labels:
      None

      Description

      We see this:

      Aug 5, 2011 12:28:49 PM
      com.google.inject.servlet.InternalServletModule$BackwardsCompatibleServletContextProvider
      get
      WARNING: You are attempting to use a deprecated API (specifically,
      attempting to @Inject ServletContext inside an eagerly created
      singleton. While we allow this for backwards compatibility, be warned
      that this MAY have unexpected behavior if you have more than one
      injector (with ServletModule) running in the same JVM. Please consult
      the Guice documentation at
      http://code.google.com/p/google-guice/wiki/Servlets for more
      information.

        Activity

          People

          • Assignee:
            Jared Bunting
            Reporter:
            Jared Bunting
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development